#!/bin/bash

function get_abs_path(){
    [[ $1 =~ ^/  ]] && a=$1 || a=`pwd`/$1
    while [ -h $a ]
    do
       b=`ls -ld $a|awk '{print $NF}'`
       c=`ls -ld $a|awk '{print $(NF-2)}'`
       [[ $b =~ ^/ ]] && a=$b || a=`dirname $c`/$b
    done
    letrain_abs_path=$a
}

function get_dirname(){
    OLD_IFS="$IFS"
    IFS="/"
    array=($1)
    IFS="$OLD_IFS"
    letrain_dirname=${array[-1]}
}

letrain_path="/opt/letrain"
mounted_path="/home/"

get_abs_path $letrain_path
get_dirname $letrain_abs_path

letrain_gpu_dirname=$letrain_dirname".gpu"
letrain_gpu_pkgname=$letrain_dirname".gpu.tar.gz"

cd $letrain_path"/applications/frcnn/lib"
sed -i 's/\r//' make.sh
sed -i 's/\r//' Makefile
make

cp -r $letrain_abs_path $mounted_path"/"$letrain_gpu_dirname
cd $mounted_path
tar czf $letrain_gpu_pkgname $letrain_gpu_dirname
rm -rf $letrain_gpu_dirname